Bug 145695 - IA64: Need SG_IO ioctl cmd support in execution layer
Summary: IA64: Need SG_IO ioctl cmd support in execution layer
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ia32el   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 137160 145334 146015
TreeView+ depends on / blocked
 
Reported: 2005-01-20 18:01 UTC by Neena Bhatnagar
Modified: 2007-11-30 22:07 UTC (History)
8 users (show)

Fixed In Version: RHBA-2005-274
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 13:00:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new version of the EL from Intel (1.38 MB, application/x-tar)
2005-02-14 14:03 UTC, Elena Zannoni
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:274 normal SHIPPED_LIVE ia32el bugfix update 2005-06-09 04:00:00 UTC
Red Hat Product Errata RHSA-2005:275 normal SHIPPED_LIVE Low: ia32el security update 2005-05-18 04:00:00 UTC

Description Neena Bhatnagar 2005-01-20 18:01:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3) Gecko/20041001 Firefox/0.10.1

Description of problem:
Currently we make use of SCSI_IOCTL_SEND_COMMAND ioctl cmd which is deprecated.
We need to replace this with SG_IO, however this is not supported by execution
layer. This is causing SG_IO ioctl 32bit cmds to fail on IA64.
The consequences of this is that we see tons of warning messages and it slows the system down.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
You can pick the sg3 utils from the following location and compile it on
x86.

  www.torque.net/sg/p/sg3_utils-0.97.tgz

 Then run them on ia64, they fail.


sureshb@veritas
  

Additional info:

Comment 2 Arjan van de Ven 2005-01-28 08:14:14 UTC
THis is not a kernel issue and is misfiled to the wrong package. Fixing.

Comment 3 Yoav Zach 2005-02-01 17:06:47 UTC
what's the latest date RH will accept a fix for that for EL4U1 and EL3U5 ?
thanks,
yoav.

Comment 4 Tim Burke 2005-02-01 23:11:31 UTC
Feb17 is the final patch submission date for the next round of updates. Although
the patch should be submitted well in advance of that to allow time for review
and possible adaptation.

Comment 5 Elena Zannoni 2005-02-14 14:03:11 UTC
Created attachment 111053 [details]
new version of the EL from Intel

Comment 6 Jakub Jelinek 2005-02-14 16:33:44 UTC
ia32el-1.2-3 built in dist-4E-lacd-U1.

Comment 7 Jay Turner 2005-04-05 10:34:29 UTC
ia32el-1.2-3 includes in the U1-candidate Extras composes.

Comment 8 Jay Turner 2005-04-16 10:49:51 UTC
Moving to PROD_READY.

Comment 9 Tim Powers 2005-05-18 13:00:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-275.html



Note You need to log in before you can comment on or make changes to this bug.